Visit Our UNIX and Linux User Community


unable to install xdiff utility in Ubuntu7.10


 
Thread Tools Search this Thread
Top Forums UNIX for Dummies Questions & Answers unable to install xdiff utility in Ubuntu7.10
# 1  
Old 08-12-2009
Data unable to install xdiff utility in Ubuntu7.10

Hello Experts,
Recently I tried to install xdiff program in my Ubuntu7.10. I downloaded xdiff-ext-0.2.0 from Download xdiff-ext 0.2.0 for Linux - Compare files easily - Softpedia.
Then I untared the tar ball and did the following steps-
# cd xdiff-ext-0.2.0/
# ./configure
# make
# make check
# make install

But I got some errors which I've given below. I dont know how to solve it. Please help me.

root@ARINDAM:/home/arindam/Desktop/xdiff-ext-0.2.0# ./configure

.
. (some lines during configuring, a few given below)
.
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
configure: creating libtool
appending configuration tag "CXX" to libtool
appending configuration tag "F77" to libtool
checking for gconftool-2... /usr/bin/gconftool-2
Using config source xml:merged:/etc/gconf/gconf.xml.defaults for schema installation
Using $(sysconfdir)/gconf/schemas as install directory for schema files
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for PREFERENCES... configure: error: Package requirements (thunar-vfs-1 >= 0.9 gtk+-2.0 >= 2.0.0) were not met:

No package 'thunar-vfs-1' found
No package 'gtk+-2.0' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables PREFERENCES_CFLAGS
and PREFERENCES_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

root@ARINDAM:/home/arindam/Desktop/xdiff-ext-0.2.0# make
make: *** No targets specified and no makefile found. Stop.
root@ARINDAM:/home/arindam/Desktop/xdiff-ext-0.2.0# make check
make: *** No rule to make target `check'. Stop.
root@ARINDAM:/home/arindam/Desktop/xdiff-ext-0.2.0# make
make: *** No rule to make target `install'. Stop. install

Thanks in advance..
# 2  
Old 08-12-2009
First, it's advisable to get the sources for an application from a trusted source (such as the authors site), which can usually be found via sites like freshmeat.net.

Second, did you check whether Ubuntu already has it in it's repository?

Third, if you have to install it from source, make sure that all dependencies are met. In your case, I'd guess that the development packages for thunar-vfs and gtk+2.0 are missing.
 

Previous Thread | Next Thread
Test Your Knowledge in Computers #13
Difficulty: Easy
EBCDIC, ASCII, SIXBIT, and ANSI are methods for encoding text characters on a computer.
True or False?

6 More Discussions You Might Find Interesting

1. Red Hat

Unable to run crash utility

Hi I have a system running cat etc/redhat-release Red Hat Enterprise Linux Server release 7.0 (Maipo), and I am trying to check why is crashing a lot of times. I have checked the following files, but with no sucessfull results: ls -lrt *.log -rw-r--r--. 1 root root 29925 Dec 23 2015... (1 Reply)
Discussion started by: fretagi
1 Replies

2. UNIX Desktop Questions & Answers

Unable to install OpenBSD 4.9

I'm unable to install OpenBSD 4.9 boot disk after having burnt the "install49.iso" file. On boot, it says: "CD-ROM : 90 Loading OpenBSD/4.9/i386 CDBOOT" and keeps repeating these two lines. Any solutions? Thank you. (1 Reply)
Discussion started by: ihavequestions
1 Replies

3. Ubuntu

unable to install package on Ubuntu

Hi all, I am working on Ubuntu 7.10 and I want to install libssl-dev_0.9.8a-7ubuntu0.13_i386.deb. So tryied it with apt-get command but getting the following error-- Then I downloaded .deb file and attempt to install it with package installer but again unable to install it and getting the... (3 Replies)
Discussion started by: smartgupta
3 Replies

4. Red Hat

Unable to install RHEL4 OR 5

hello newbie trying to install neither rhel4 or 5 on Proliant ML150 G6 i have configured the RAID on 1+0 the RAID controller of this sistem is HP SmartArray P410 have downloaded the driver disc from hp and executed the commands as the web page indicate gunzip... (3 Replies)
Discussion started by: _polken_
3 Replies

5. HP-UX

Unable to install SSH

Hello!! I have an HP-UX 11.23 box. I downloaded an SSH depot file form HP website. Using SAM, I tried to install the depot file. However, SAM declared "it cannot find any compatible depot file to install". Due to that, I tried using command line 'swinstall' just like HP tutorial taught me.... (8 Replies)
Discussion started by: jembalang
8 Replies

6. UNIX for Dummies Questions & Answers

how to install this utility CC k[ESC}

I am quite used to program this way and its frustrating when you find that the utility is not there anymore...in the new system. I used give this in the command line CC k this used to give all the files starting with k one by one as I keep hitting the return key. like if I had 10 files... (5 Replies)
Discussion started by: navin10
5 Replies

Featured Tech Videos